Skip to main content
GET
/
users
/
{id}
Get a user
curl --request GET \
  --url https://incoming.qomon.app/users/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "user": {
      "CreatedAt": "2023-11-07T05:31:56Z",
      "UpdatedAt": "2023-11-07T05:31:56Z",
      "address": "<string>",
      "avatar": "<string>",
      "birthdate": "2023-11-07T05:31:56Z",
      "city": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "firstname": "<string>",
      "group_id": [
        123
      ],
      "id": 123,
      "locale": "<string>",
      "location": "<string>",
      "mail": "jsmith@example.com",
      "phone": "<string>",
      "postal": "<string>",
      "role_data": {
        "color": "<string>",
        "id": 1,
        "mobile": true,
        "name": "<string>",
        "order": 1,
        "web": true
      },
      "status": "<string>",
      "surname": "<string>",
      "two_factor_enable": true
    }
  },
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.

Path Parameters

id
integer<int64>
required

User ID.

Required range: x >= 0
Example:

111

Response

OK

data
object
required
status
string
required

Operation result.

Example:

"success"

Last modified on June 16, 2026